Subject: stability news

From: Philip Blundell <[email-masked]>
Date: Wed, 03 Feb 1999 16:35:02 +0000

Over the last few days I've had my NetWinder running various tests to try to 
crash it.  The good news is that the latest kernel seems a lot better than 
previous versions.  I haven't managed to trip it up so far and the problems 
with heavy swapping load seem to have disappeared as well.  The latter is 
slightly worrying because I don't know why it happened, but I guess we might 
as well enjoy the new stability. :-)

I've made a new patch for 2.2.1 incorporating the fix I mentioned yesterday 
and another for the alignment trap handler to avoid a NULL dereference under 
some circumstances.  Since ftp.netwinder.org seems to be experiencing some 
downtime the patch is in a different place to usual:

http://www.tazenda.demon.co.uk/phil/armlinux/patches/linux-2.2.1-philb-990203.gz

This version also incorporates a renumbering of the DMA channels so the ISA 
ones start at 0 and a couple of other things.  If you can make the kernel 
crash or lock the machine, I'd be very interested to hear about it.

p.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]